<?php
echo '<!DOCTYPE html>
<html>
	<head>
		<title>Elkarte.net</title>
		<meta charset="utf-8" />
		<meta name="description" content="Elkarte.net Home Page" />
		<link rel="stylesheet" type="text/css" href="home.css" />
		<link href="//netdna.bootstrapcdn.com/font-awesome/4.0.1/css/font-awesome.css" rel="stylesheet">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
	</head>
	<body>';

		echo '
		<div id="header">
			<img src="../elkarte/themes/default/images/_light/logo_elk.png" alt="Elkarte Logo" />
			<p class="download"><a href="" class="download"><i class="fa fa-arrow-circle-o-down fa-2x"></i> Download Elkarte beta</a></p>
		</div>';
		
		echo '
		<div id="body">	
			<h2>ElkArte Forum Software</h2>
			<div class="about">
				<span class="why"><b>Why ElkArte?</b>
					ElkArte is a completely free software, licensed as open source under BSD-3clause. Enjoy the benefits of Volunteers from around the world who spend
					time making ElkArte what it is today.</span>
				<span class="features"><b>ElkArte Features?</b>
					We do have super-cool features such as Post by Email, mentioning users, notifications, likes and all that cool stuff you may already know from 	
					the common social networking platforms. Test ElkArte yourself on the <a href="http://www.elkarte.net/forum/">community forum.</a></span>
				<span class="what"><b>What is ElkArte?</b>
					ElkArte is a powerful forum software, which is based on the well known Simple Machines Forum. 
					Many of our contributors are former SMF team members with several years of experience in developing forum software.</span>
			</div>
			<ul id="main">				
				<li class="column">

					<a href="https://github.com/elkarte/Elkarte"><i class="fa fa-code fa-3x"></i></a>
					<h4>Development</h4>
					<a href="https://github.com/elkarte/Elkarte">Give back and contribute on github.</a>
					<a href="https://github.com/elkarte/Elkarte/issues"><i class="fa fa-bug"></i> Report and resolve bugs</a>

					<a href="http://www.elkarte.net/forum/"><i class="fa fa-group fa-3x"></i></a>
					<h4>Support</h4>
					<a href="http://www.elkarte.net/forum/">Join our support community.</a>
					<a href="https://github.com/elkarte/Elkarte/wiki">Wiki Documentation</a>

				</li>
				<li class="column">
					<i class="fa fa-github fa-3x"></i>
					<h4>Latest Commits</h4>
					', latestClosedGitPulls() ,'
				</li>
			</ul>										
		</div>';
		
		echo '
		<div id="footer">
			<a href="http://www.elkarte.net/forum/index.php?action=who;sa=credits" title="ElkArte Forum" target="_blank">Elkarte 2013</a> | <a href="https://github.com/elkarte/ElkArte/blob/master/license.md" title="License" target="_blank">ElkArte &copy; 2013</a>
			<span class="icons">
				<a href="https://github.com" title="GitHub"><i class="fa fa-github-alt"></i></a>
				<a href="http://validator.w3.org/check?uri=www.elkarte.net/index.php" title="HTML5"><i class="fa fa-html5"></i></a>					
				<a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS3" title="CSS3"><i class="fa fa-css3"></i></a>
			</span>
		</div>
	</body>
</html>';

function latestClosedGitPulls() {
	
	$url = 'https://api.github.com/repos/elkarte/Elkarte/pulls?state=closed';
	$pageData = file_get_contents($url);
	$items = array_slice(json_decode($pageData), 0, 10);
			echo '
					<div class="commits">';
					
			foreach ($items as $item) {
				echo '
						<a href="'.$item->_links->html->href.'" title="By '. $item->user->login. '">'. $item->title. ' - commit #'. $item->number.'</a>';
			}
			echo '
					</div>';
}